{% extends "base_dashboard.html" %}
{% load i18n staticfiles %}
{% load common_tags report_tags %}
{% block title %}{% trans "Laporan Keuangan" %} "{{ teaser.title }}" :: {{ block.super }}{% endblock %}

{% block breadcrumb %}
  <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
    <li><a class="spf-link" href="/">{% trans "Beranda" %}</a></li>
    <li><a class="spf-link" href="{% url 'user_dashboard' %}">{% trans "Dashboard" %}</a></li>
    <li><span>{% trans "Laporan Keuangan" %} "{{ teaser.title }}"</span></li>
  </ul>
{% endblock %}

{% block content %}
  <div class="uk-grid-small uk-child-width-expand@s uk-text-center report-summary" uk-grid>
    <div>
      <div class="uk-card uk-light uk-card-body uk-card-hover uk-padding-small"
        uk-tooltip="title: {% trans 'Perhitungan untuk bulan terakhir' %}; pos: bottom" style="background:#0c4986">
        <h5 class="uk-text-bold uk-margin-remove">{% trans "Laba Kotor" %}</h5>
        <div class="uk-card-title">{{ reports.last.gross_profit_margin }}%</div>
      </div>
    </div>
    <div>
      <div class="uk-card uk-light uk-card-body uk-card-hover uk-padding-small"
        uk-tooltip="title: {% trans 'Perhitungan untuk bulan terakhir' %}; pos: bottom" style="background:#31b5d4">
        <h5 class="uk-text-bold uk-margin-remove">{% trans "Efisiensi" %}</h5>
        <div class="uk-card-title">{{ reports.last.opex_ratio }}%</div>
      </div>
    </div>
    <div>
      <div class="uk-card uk-light uk-card-body uk-card-hover uk-padding-small"
        uk-tooltip="title: {% trans 'Perhitungan untuk bulan terakhir' %}; pos: bottom" style="background:#1e87f0">
        <h5 class="uk-text-bold uk-margin-remove">{% trans "Ebit Margin" %}</h5>
        <div class="uk-card-title">{{ reports.last.ebit_margin }}%</div>
      </div>
    </div>
    <div>
      <div class="uk-card uk-light uk-card-body uk-card-hover uk-padding-small"
        uk-tooltip="title: {% trans 'Perhitungan untuk bulan terakhir' %}; pos: bottom" style="background:#6ab370">
        <h5 class="uk-text-bold uk-margin-remove">{% trans "Laba Bersih" %}</h5>
        <div class="uk-card-title">{{ reports.last.net_profit_margin }}%</div>
      </div>
    </div>
  </div><!-- end /.report-summary -->

  <hr class="uk-divider-icon">

  <div class="uk-grid-small uk-grid-divider uk-child-width-expand@s report-detail" uk-grid>
    <div class="uk-width-expand@s">
      <canvas id="revenue-chart-this-year" height="125"></canvas>
      <hr />
      <canvas id="opex-chart-this-year" height="130"></canvas>
      <hr />
      <canvas id="ebit-chart-this-year" height="125"></canvas>
    </div>
    <div class="uk-width-1-3@s">
      <div class="uk-position-relative uk-visible-toggle" uk-slider="center: true; index: 12">
        <ul class="uk-slider-items uk-grid">
          {% for report in reports %}
            <li class="uk-width-1-1@s">
              <div class="uk-panel">
                <table class="uk-table uk-table-striped uk-table-small uk-text-small">
                  <caption class="uk-text-center uk-text-bold">{% trans "LAPORAN LABA RUGI" %}</caption>
                  <caption class="uk-text-center uk-margin-small-bottom">{{ report.created|date:"M-Y" }}</caption>
                  <tbody>
                    <!-- <tr>
                      <td>{% trans "Keretangan" %}</td>
                      <td><strong>Rp</strong></td>
                    </tr> -->
                    <tr>
                      <td>{% trans "Realisasi" %}</td>
                      <td><strong>{{ report.actual|as_rupiah }},-</strong></td>
                    </tr>
                    <tr>
                      <td>{% trans "Target" %}</td>
                      <td><strong>{{ report.target|as_rupiah }},-</strong></td>
                    </tr>
                    <tr>
                      <td>{% trans "Pendapatan" %}</td>
                      <td><strong>{{ report.revenue|as_rupiah }},-</strong></td>
                    </tr>
                    <tr>
                      <td uk-tooltip="title: {% trans 'Harga Pokok Penjualan/Produksi' %}; pos: left">{% trans "Cogs" %}</td>
                      <td><strong>{{ report.cogs|as_rupiah }},-</strong></td>
                    </tr>
                    <tr>
                      <td>{% trans "Laba kotor" %}</td>
                      <td><strong>{{ report.gross_profit|as_rupiah }},-</strong></td>
                    </tr>

                    <tr><td colspan="2"></td></tr>

                    <tr>
                      <td uk-tooltip="title: {% trans 'Pengeluaran Operasional' %}; pos: left">{% trans "Opex" %}</td>
                      <td><strong>{{ report.opex|as_rupiah }},-</strong></td>
                    </tr>
                    <tr>
                      <td>{% trans "A. Biaya Sales/Penjualan" %}</td>
                      <td><strong>{{ report.opex_A|as_rupiah }},-</strong></td>
                    </tr>
                    <tr>
                      <td>{% trans "B. Biaya Umum & Adm" %}</td>
                      <td><strong>{{ report.opex_B|as_rupiah }},-</strong></td>
                    </tr>
                    <tr>
                      <td>{% trans "C. Biaya Bahan Baku" %}</td>
                      <td><strong>{{ report.opex_C|as_rupiah }},-</strong></td>
                    </tr>
                    <tr>
                      <td>{% trans "D. Biaya IT" %}</td>
                      <td><strong>{{ report.opex_D|as_rupiah }},-</strong></td>
                    </tr>
                    <tr>
                      <td>{% trans "E. Biaya Lain-lain" %}</td>
                      <td><strong>{{ report.opex_E|as_rupiah }},-</strong></td>
                    </tr>

                    <tr><td colspan="2"></td></tr>

                    <tr>
                      <td uk-tooltip="title: {% trans 'Pendapatan sebelum beban bagi hasil & pajak' %}; pos: left">{% trans "Ebit" %}</td>
                      <td><strong>{{ report.ebit|as_rupiah }},-</strong></td>
                    </tr>
                    <tr>
                      <td>{% trans "Bagi hasil & pajak" %}</td>
                      <td><strong>{{ report.interest_and_tax|as_rupiah }},-</strong></td>
                    </tr>
                    <tr>
                      <td>{% trans "Laba bersih" %}</td>
                      <td><strong>{{ report.net_profit|as_rupiah }},-</strong></td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </li>
          {% empty %}
            <li class="uk-width-1-1@s">
              <div class="uk-text-center" uk-alert>
                <span uk-icon="info"></span> {% trans "Belum ada laporan!" %}
              </div>
            </li>
          {% endfor %}
        </ul>

        <a class="uk-position-top-left uk-position-small uk-margin-remove" href="#" uk-slidenav-previous uk-slider-item="previous"></a>
        <a class="uk-position-top-right uk-position-small uk-margin-remove" href="#" uk-slidenav-next uk-slider-item="next"></a>

        <hr class="uk-divider-icon">

        <ul class="uk-list uk-list-bullet uk-placeholder uk-padding-small uk-position-relative">
          <i uk-icon="info" class="uk-text-primary uk-icon uk-position-top-right"
            uk-tooltip="title: {% trans 'Penjelasan Istilah' %}; pos: left" style="padding:.5em"></i>
          <li>{% trans "Opex adalah Pengeluaran Operasional" %}</li>
          <li>{% trans "Cogs adalah Harga Pokok Penjualan/Produksi" %}</li>
          <li>{% trans "Ebit adalah Pendapatan sebelum beban bagi hasil & pajak" %}</li>
        </ul>
      </div>
    </div>
  </div><!-- end /.report-detail -->
{% endblock %}


{% block js %}
  {% if teaser.author == request.user or request.user.profile.status == 'relationship_manager' %}
    <script>$('li.list-report-me').addClass('uk-active')</script>
  {% endif %}

  <!-- <script src="{% static 'js/moment.min.js' %}"></script> -->
  <script src="{% static 'js/chart.min.js' %}"></script>
  <script>
    window.chartColors = {
    	red: 'rgb(255, 99, 132)',
    	orange: 'rgb(255, 159, 64)',
    	yellow: 'rgb(255, 205, 86)',
    	green: 'rgb(75, 192, 192)',
    	blue: 'rgb(54, 162, 235)',
    	purple: 'rgb(153, 102, 255)',
    	grey: 'rgb(201, 203, 207)'
    };
    var timeFormat = 'MM/DD/YYYY HH:mm';
    var color = Chart.helpers.color;
    var toFloat = function(numb) {
      return numb.replace(',', '.');
    }

    // revenue chart
    var revenueConfig = {
      type: 'bar',
      data: {
        labels: ['Jan', 'Feb', 'Mar', 'Apr', 'Mei', 'Jun', 'Jul', 'Aug', 'Sep', 'Nov', 'Des'],
        datasets: [{
          type: 'bar',
          label: '{% trans "Pertumbuhan" %}',
          backgroundColor: color(window.chartColors.green).alpha(0.5).rgbString(),
          borderColor: window.chartColors.green,
          data: [
            toFloat('{{ teaser|get_growth_this_month:"[1,1]" }}'),
            toFloat('{{ teaser|get_growth_this_month:"[1,2]" }}'),
            toFloat('{{ teaser|get_growth_this_month:"[2,3]" }}'),
            toFloat('{{ teaser|get_growth_this_month:"[3,4]" }}'),
            toFloat('{{ teaser|get_growth_this_month:"[4,5]" }}'),
            toFloat('{{ teaser|get_growth_this_month:"[5,6]" }}'),
            toFloat('{{ teaser|get_growth_this_month:"[6,7]" }}'),
            toFloat('{{ teaser|get_growth_this_month:"[7,8]" }}'),
            toFloat('{{ teaser|get_growth_this_month:"[8,9]" }}'),
            toFloat('{{ teaser|get_growth_this_month:"[9,10]" }}'),
            toFloat('{{ teaser|get_growth_this_month:"[10,11]" }}'),
            toFloat('{{ teaser|get_growth_this_month:"[11,12]" }}')
          ],
        }, {
          type: 'line',
          label: '{% trans "Pendapatan" %}',
          backgroundColor: color(window.chartColors.blue).alpha(0.5).rgbString(),
          borderColor: window.chartColors.blue,
          fill: false,
          data: [
            toFloat('{{ teaser|get_revenue_this_month:"1" }}'),
            toFloat('{{ teaser|get_revenue_this_month:"2" }}'),
            toFloat('{{ teaser|get_revenue_this_month:"3" }}'),
            toFloat('{{ teaser|get_revenue_this_month:"4" }}'),
            toFloat('{{ teaser|get_revenue_this_month:"5" }}'),
            toFloat('{{ teaser|get_revenue_this_month:"6" }}'),
            toFloat('{{ teaser|get_revenue_this_month:"7" }}'),
            toFloat('{{ teaser|get_revenue_this_month:"8" }}'),
            toFloat('{{ teaser|get_revenue_this_month:"9" }}'),
            toFloat('{{ teaser|get_revenue_this_month:"10" }}'),
            toFloat('{{ teaser|get_revenue_this_month:"11" }}'),
            toFloat('{{ teaser|get_revenue_this_month:"12" }}')
          ],
        }, {
          type: 'line',
          label: '{% trans "Target" %}',
          backgroundColor: color(window.chartColors.red).alpha(0.5).rgbString(),
          borderColor: window.chartColors.red,
          fill: false,
          data: [
            toFloat('{{ teaser|get_target_this_month:"1" }}'),
            toFloat('{{ teaser|get_target_this_month:"2" }}'),
            toFloat('{{ teaser|get_target_this_month:"3" }}'),
            toFloat('{{ teaser|get_target_this_month:"4" }}'),
            toFloat('{{ teaser|get_target_this_month:"5" }}'),
            toFloat('{{ teaser|get_target_this_month:"6" }}'),
            toFloat('{{ teaser|get_target_this_month:"7" }}'),
            toFloat('{{ teaser|get_target_this_month:"8" }}'),
            toFloat('{{ teaser|get_target_this_month:"9" }}'),
            toFloat('{{ teaser|get_target_this_month:"10" }}'),
            toFloat('{{ teaser|get_target_this_month:"11" }}'),
            toFloat('{{ teaser|get_target_this_month:"12" }}')
          ],
        }]
      },
      options: {
        title: {
          display: true,
          text: '{% trans "Pendapatan bulanan dalam tahun" %} {% now "Y" %}'
        },
        legend: {
					position: 'right',
				},
      }
    };

    // opex chart
    var opexConfig = {
			type: 'bar',
			data: {
        labels: ['Jan', 'Feb', 'Mar', 'Apr', 'Mei', 'Jun', 'Jul', 'Aug', 'Sep', 'Nov', 'Des'],
  			datasets: [{
  				label: '{% trans "Opex" %}',
          backgroundColor: color('rgb(34, 50, 109)').alpha(0.5).rgbString(),
          borderColor: 'rgb(34, 50, 109)',
  				stack: 'Stack 0',
          data: [
            toFloat('{{ teaser|get_opex_this_month:"1" }}'),
            toFloat('{{ teaser|get_opex_this_month:"2" }}'),
            toFloat('{{ teaser|get_opex_this_month:"3" }}'),
            toFloat('{{ teaser|get_opex_this_month:"4" }}'),
            toFloat('{{ teaser|get_opex_this_month:"5" }}'),
            toFloat('{{ teaser|get_opex_this_month:"6" }}'),
            toFloat('{{ teaser|get_opex_this_month:"7" }}'),
            toFloat('{{ teaser|get_opex_this_month:"8" }}'),
            toFloat('{{ teaser|get_opex_this_month:"9" }}'),
            toFloat('{{ teaser|get_opex_this_month:"10" }}'),
            toFloat('{{ teaser|get_opex_this_month:"11" }}'),
            toFloat('{{ teaser|get_opex_this_month:"12" }}')
          ],
  			}, {
  				label: '{% trans "Penjualan" %}',
          backgroundColor: color('rgb(34, 50, 109)').alpha(0.5).rgbString(),
          borderColor: 'rgb(34, 50, 109)',
  				stack: 'Stack 0',
          data: [
            toFloat('{{ teaser|get_opex_A_this_month:"1" }}'),
            toFloat('{{ teaser|get_opex_A_this_month:"2" }}'),
            toFloat('{{ teaser|get_opex_A_this_month:"3" }}'),
            toFloat('{{ teaser|get_opex_A_this_month:"4" }}'),
            toFloat('{{ teaser|get_opex_A_this_month:"5" }}'),
            toFloat('{{ teaser|get_opex_A_this_month:"6" }}'),
            toFloat('{{ teaser|get_opex_A_this_month:"7" }}'),
            toFloat('{{ teaser|get_opex_A_this_month:"8" }}'),
            toFloat('{{ teaser|get_opex_A_this_month:"9" }}'),
            toFloat('{{ teaser|get_opex_A_this_month:"10" }}'),
            toFloat('{{ teaser|get_opex_A_this_month:"11" }}'),
            toFloat('{{ teaser|get_opex_A_this_month:"12" }}')
          ],
  			}, {
  				label: '{% trans "Umum & Adm" %}',
          backgroundColor: color('rgb(43, 67, 156)').alpha(0.5).rgbString(),
          borderColor: 'rgb(43, 67, 156)',
  				stack: 'Stack 0',
          data: [
            toFloat('{{ teaser|get_opex_B_this_month:"1" }}'),
            toFloat('{{ teaser|get_opex_B_this_month:"2" }}'),
            toFloat('{{ teaser|get_opex_B_this_month:"3" }}'),
            toFloat('{{ teaser|get_opex_B_this_month:"4" }}'),
            toFloat('{{ teaser|get_opex_B_this_month:"5" }}'),
            toFloat('{{ teaser|get_opex_B_this_month:"6" }}'),
            toFloat('{{ teaser|get_opex_B_this_month:"7" }}'),
            toFloat('{{ teaser|get_opex_B_this_month:"8" }}'),
            toFloat('{{ teaser|get_opex_B_this_month:"9" }}'),
            toFloat('{{ teaser|get_opex_B_this_month:"10" }}'),
            toFloat('{{ teaser|get_opex_B_this_month:"11" }}'),
            toFloat('{{ teaser|get_opex_B_this_month:"12" }}')
          ],
  			}, {
  				label: '{% trans "Bahan Baku" %}',
          backgroundColor: color('rgb(43, 99, 156)').alpha(0.5).rgbString(),
          borderColor: 'rgb(43, 99, 156)',
  				stack: 'Stack 0',
          data: [
            toFloat('{{ teaser|get_opex_C_this_month:"1" }}'),
            toFloat('{{ teaser|get_opex_C_this_month:"2" }}'),
            toFloat('{{ teaser|get_opex_C_this_month:"3" }}'),
            toFloat('{{ teaser|get_opex_C_this_month:"4" }}'),
            toFloat('{{ teaser|get_opex_C_this_month:"5" }}'),
            toFloat('{{ teaser|get_opex_C_this_month:"6" }}'),
            toFloat('{{ teaser|get_opex_C_this_month:"7" }}'),
            toFloat('{{ teaser|get_opex_C_this_month:"8" }}'),
            toFloat('{{ teaser|get_opex_C_this_month:"9" }}'),
            toFloat('{{ teaser|get_opex_C_this_month:"10" }}'),
            toFloat('{{ teaser|get_opex_C_this_month:"11" }}'),
            toFloat('{{ teaser|get_opex_C_this_month:"12" }}')
          ],
  			}, {
         label: '{% trans "Biaya IT" %}',
         backgroundColor: color('rgb(40, 117, 195)').alpha(0.5).rgbString(),
         borderColor: 'rgb(40, 117, 195)',
         stack: 'Stack 0',
         data: [
           toFloat('{{ teaser|get_opex_D_this_month:"1" }}'),
           toFloat('{{ teaser|get_opex_D_this_month:"2" }}'),
           toFloat('{{ teaser|get_opex_D_this_month:"3" }}'),
           toFloat('{{ teaser|get_opex_D_this_month:"4" }}'),
           toFloat('{{ teaser|get_opex_D_this_month:"5" }}'),
           toFloat('{{ teaser|get_opex_D_this_month:"6" }}'),
           toFloat('{{ teaser|get_opex_D_this_month:"7" }}'),
           toFloat('{{ teaser|get_opex_D_this_month:"8" }}'),
           toFloat('{{ teaser|get_opex_D_this_month:"9" }}'),
           toFloat('{{ teaser|get_opex_D_this_month:"10" }}'),
           toFloat('{{ teaser|get_opex_D_this_month:"11" }}'),
           toFloat('{{ teaser|get_opex_D_this_month:"12" }}')
         ],
       }, {
         label: '{% trans "Lain-lain" %}',
         backgroundColor: color('rgb(57, 155, 255)').alpha(0.5).rgbString(),
         borderColor: 'rgb(57, 155, 255)',
         stack: 'Stack 0',
         data: [
           toFloat('{{ teaser|get_opex_E_this_month:"1" }}'),
           toFloat('{{ teaser|get_opex_E_this_month:"2" }}'),
           toFloat('{{ teaser|get_opex_E_this_month:"3" }}'),
           toFloat('{{ teaser|get_opex_E_this_month:"4" }}'),
           toFloat('{{ teaser|get_opex_E_this_month:"5" }}'),
           toFloat('{{ teaser|get_opex_E_this_month:"6" }}'),
           toFloat('{{ teaser|get_opex_E_this_month:"7" }}'),
           toFloat('{{ teaser|get_opex_E_this_month:"8" }}'),
           toFloat('{{ teaser|get_opex_E_this_month:"9" }}'),
           toFloat('{{ teaser|get_opex_E_this_month:"10" }}'),
           toFloat('{{ teaser|get_opex_E_this_month:"11" }}'),
           toFloat('{{ teaser|get_opex_E_this_month:"12" }}')
         ],
       }]
      },
			options: {
				title: {
					display: true,
					text: '{% trans "Pengeluaran Operasional (Opex)" %}'
				},
        legend: {
					position: 'right',
				},
				tooltips: {
					mode: 'index',
					intersect: false
				},
				responsive: true,
				scales: {
					xAxes: [{
						stacked: true,
					}],
					yAxes: [{
						stacked: true
					}]
				}
			}
		};

    // ebit chart
    var ebitConfig = {
			type: 'line',
			data: {
				labels: ['Jan', 'Feb', 'Mar', 'Apr', 'Mei', 'Jun', 'Jul', 'Aug', 'Sep', 'Nov', 'Des'],
				datasets: [{
					label: '{% trans "Realisasi" %}',
					backgroundColor: window.chartColors.red,
					borderColor: window.chartColors.red,
          data: [
            toFloat('{{ teaser|get_actual_this_month:"1" }}'),
            toFloat('{{ teaser|get_actual_this_month:"2" }}'),
            toFloat('{{ teaser|get_actual_this_month:"3" }}'),
            toFloat('{{ teaser|get_actual_this_month:"4" }}'),
            toFloat('{{ teaser|get_actual_this_month:"5" }}'),
            toFloat('{{ teaser|get_actual_this_month:"6" }}'),
            toFloat('{{ teaser|get_actual_this_month:"7" }}'),
            toFloat('{{ teaser|get_actual_this_month:"8" }}'),
            toFloat('{{ teaser|get_actual_this_month:"9" }}'),
            toFloat('{{ teaser|get_actual_this_month:"10" }}'),
            toFloat('{{ teaser|get_actual_this_month:"11" }}'),
            toFloat('{{ teaser|get_actual_this_month:"12" }}')
          ],
					fill: false,
				}, {
					label: '{% trans "Target" %}',
					fill: false,
					backgroundColor: window.chartColors.blue,
					borderColor: window.chartColors.blue,
          data: [
            toFloat('{{ teaser|get_target_this_month:"1" }}'),
            toFloat('{{ teaser|get_target_this_month:"2" }}'),
            toFloat('{{ teaser|get_target_this_month:"3" }}'),
            toFloat('{{ teaser|get_target_this_month:"4" }}'),
            toFloat('{{ teaser|get_target_this_month:"5" }}'),
            toFloat('{{ teaser|get_target_this_month:"6" }}'),
            toFloat('{{ teaser|get_target_this_month:"7" }}'),
            toFloat('{{ teaser|get_target_this_month:"8" }}'),
            toFloat('{{ teaser|get_target_this_month:"9" }}'),
            toFloat('{{ teaser|get_target_this_month:"10" }}'),
            toFloat('{{ teaser|get_target_this_month:"11" }}'),
            toFloat('{{ teaser|get_target_this_month:"12" }}')
          ],
				}]
			},
			options: {
				responsive: true,
				title: {
					display: true,
					text: '{% trans "Pendapatan sebelum beban bagi hasil & pajak (Ebit)" %}'
				},
        legend: {
					position: 'right',
				},
				tooltips: {
					mode: 'index',
					intersect: false,
				},
				hover: {
					mode: 'nearest',
					intersect: true
				}
			}
		};

    window.onload = function() {
      var ctx1 = document.getElementById('revenue-chart-this-year').getContext('2d');
      window.myLine = new Chart(ctx1, revenueConfig);

      var ctx2 = document.getElementById('opex-chart-this-year').getContext('2d');
			window.myBar = new Chart(ctx2, opexConfig);

      var ctx3 = document.getElementById('ebit-chart-this-year').getContext('2d');
			window.myBar = new Chart(ctx3, ebitConfig);
    };
  </script>
{% endblock %}
